<ion-header>
  <div id="menu">
    <ul>
      <li><a (click) = navToHome()>Home</a></li>
      <li><a (click) = navToTest()>Test</a></li>
    </ul>
  </div>
</ion-header>

<ion-content>


  <div class="sidenav">

    <div class="menu-box" style="text-align: center;">
      <img style="width: 30px; height: 30px;" src="../../assets/signature.png"><br>
      <p style="color: white;"><font size="2">Signatures</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;" (click)='navToCreate()'>
      <img style="width: 30px; height: 30px;" src="../../assets/or.png"><br>
      <p style="color: white;"><font size="2">Organnizations</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;">
      <img style="width: 30px; height: 30px;" src="../../assets/admin.png"><br>
      <p style="color: white;"><font size="2">Admin</font></p>
    </div><br>

    <hr class="new1">

    <div class="create" (click) = navToNew()>
      <img style="width: 30px; height: 30px; margin-top: 5px;" src="../../assets/plus.jpg"><br>
      <p><b>CREATE</b></p>
    </div><br>

    <hr class="new1">

  </div>

  <br><br>
  <div class="main">
    <ion-item lines="inset" *ngFor="let field of fields">
      <ion-grid *ngIf="!['name', 'address', 'publicKey', 'privateKey'].includes(field)">
        <ion-row>
            <ion-label color="medium">{{labels[field]}}</ion-label>
        </ion-row>
        <ion-row>
            <div>
                <p *ngIf="field != '' && field != 'signatureImg'" id="{{field}}">{{accInfo[field]}}</p>
                <!-- <p *ngIf="field == 'signatureImg' && accInfo[field] == ''" (click)="onRegisterSignature()">
                    <a>Register a signature</a>
                </p> -->
                <div *ngIf="field == 'signatureImg' && accInfo[field] != ''">
                    <img [src]='bypassSecurityTrustUrl(accInfo[field])' />
                    <!-- <canvas id="signature-img"></canvas> -->
                </div>
            </div>
        </ion-row>
    </ion-grid>

    <div *ngIf="['name', 'address', 'publicKey', 'privateKey'].includes(field)" class="btnRightContainer">
        <div>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">{{labels[field]}}</ion-label>
                </ion-row>
                <ion-row>
                    <div>
                        <p *ngIf="field != ''" id="{{field}}">{{accInfo[field]}}</p>
                        <p *ngIf="field == 'privateKey' && accInfo[field] == ''" (click)="onShowPrivateKey()">
                            <a>Show Private Key</a>
                        </p>
                        <p *ngIf="field == 'name' && accInfo[field] == ''" (click)="onEnterYourName()">
                            <a>Enter Your Name</a>
                        </p>
                    </div>
                </ion-row>
            </ion-grid>
        </div>
        <div *ngIf="['address', 'publicKey'].includes(field)" class="btnRight btnCopy" id="{{'btn'+field}}"
            [attr.data-clipboard-target]="'#'+field" (click)="copy(accInfo[field])">
            <ion-icon name="copy"></ion-icon>
        </div>
        <div *ngIf="(field=='privateKey')&&(accInfo.privateKey!='')" class="btnRight btnCopy" id="{{'btn'+field}}"
            [attr.data-clipboard-target]="'#'+field" (click)="copy(accInfo[field])">
            <ion-icon name="copy"></ion-icon>
        </div>
        <div *ngIf="(field=='privateKey')&&(accInfo.privateKey=='')&&(isAllowFingerprint)"
            class="btnRight btnWhiteBlue" (click)="showPassWithFingerprint()">
            <ion-icon name="finger-print"></ion-icon>
        </div>
        <div *ngIf="(field=='name')&&(accInfo.name!='')" class="btnRight btnWhiteBlue" (click)="onEnterYourName()">
            <ion-icon name="create"></ion-icon>
        </div>
    </div>
  </ion-item>

  <ion-item lines="inset">
      <div class="btnRightContainer">
          <div>
              <ion-grid>
                  <ion-row>
                      <ion-label color="medium">API Node
                          <svg height="10" width="10">
                              <circle cx="5" cy="5" r="4" [attr.fill]="networkInfo.isApiOnl?'green':'red'" />
                          </svg>
                      </ion-label>
                  </ion-row>
                  <ion-row (click)="selectNode('api')">
                      <p class="selection">{{networkInfo.apiNode}}</p>
                  </ion-row>
              </ion-grid>
          </div>
          <div class="btnRight btnSelect" (click)="selectNode('api')">
              <ion-icon name="arrow-dropdown" mode="md"></ion-icon>
          </div>
      </div>
  </ion-item>
  <ion-item line="inset">
      <div class="btnRightContainer">
          <div>
              <ion-grid>
                  <ion-row>
                      <ion-label color="medium">Storage Node</ion-label>
                  </ion-row>
                  <ion-row (click)="selectNode('ipfs')">
                      <p class="selection">{{networkInfo.ipfsNode}} </p>
                  </ion-row>
              </ion-grid>
          </div>
          <div class="btnRight btnSelect" (click)="selectNode('ipfs')">
              <ion-icon name="arrow-dropdown" mode="md"></ion-icon>
          </div>
      </div>
  </ion-item><br>

  <div>
    <button (click) = "onSignOut()" class="btn-submit" type="button">
        <label style="color: white;"><font size="3">Sign out  </font></label>
        <ion-icon name="arrow-forward" style="color: white;"></ion-icon>
      </button>
  </div>


  </div>


</ion-content>

